## vdev 1.3.68

=== Makefile ===
include buildconf.mk

.PHONY: all
all:
	$(MAKE) -C libvdev PREFIX=
	$(MAKE) -C vdevd PREFIX=
	$(MAKE) -C fs PREFIX=
	$(MAKE) -C hwdb PREFIX=
	$(MAKE) -C example PREFIX=

.PHONY: install
install:
	$(MAKE) -C vdevd install PREFIX=
	$(MAKE) -C fs install PREFIX=
	$(MAKE) -C hwdb install PREFIX=
	$(MAKE) -C example install PREFIX=

	# Installing documentation
	mkdir -p $(DESTDIR)/usr/share/doc
	mkdir -p $(DESTDIR)/usr/share/man
	mkdir -p $(DESTDIR)/usr/share/man/man8
	cp -r share/doc/ $(DESTDIR)/usr/share/doc
	cp -r share/man/man8/ $(DESTDIR)/usr/share/man/man8

.PHONY: uninstall
uninstall:
	$(MAKE) -C vdevd uninstall
	$(MAKE) -C fs uninstall
	$(MAKE) -C example uninstall
	$(MAKE) -C hwdb uninstall

	# Uninstalling documentation
	rm -rf $(DESTDIR)/usr/share/doc/vdevd
	rm -rf $(DESTDIR)/usr/share/man/man8/vdevd.8.gz
	rm -rf $(DESTDIR)/usr/share/man/man8/vdevd-actions.8.gz

.PHONY: clean
clean:
	$(MAKE) -C libvdev clean
	$(MAKE) -C vdevd clean
	$(MAKE) -C fs clean
	$(MAKE) -C example clean
	$(MAKE) -C hwdb clean
