=== libvdev/Makefile ===
include ../buildconf.mk

CFLAGS := -Wall -g -fPIC -fstack-protector -fstack-protector-all -pthread -Wno-unused-variable -Wno-unused-but-set-variable
INC := $(INC) -I$(BUILD_LIBVDEV_HEADERS)
DEFS := $(DEFS) -D_POSIX_C_SOURCE=200809L -D_DEFAULT_SOURCE -D_GNU_SOURCE
CC   := cc

C_SRCS:= $(wildcard *.c)
HEADERS := $(wildcard *.h)

OBJS := $(patsubst %.c,$(BUILD_LIBVDEV)/%.o,$(C_SRCS))

LIBVDEV := $(BUILD_LIBVDEV)/libvdev.a

all: $(LIBVDEV)

$(BUILD_LIBVDEV)/%.o: %.c $(LIBVDEV_HEADERS)
	@mkdir -p "$(shell dirname "$@")"
	$(CC) $(CFLAGS) $(INC) $(DEFS) -o "$@" -c "$<"

$(LIBVDEV): $(OBJS)
	ar -rcs $@ $^

.PHONY: clean

clean:
	rm -f $(OBJS) $(LIBVDEV)
