=== debian/changelog ===
vdev (1.3.68-1+genuen6u1) unstable; urgency=medium

  * Remove the shared library libvdev for security reasons and
    instead link the helper programs against a static library
  * Update hardware database
  * New upstream version 1.3.68

 -- Aitor <aitor@genuen.org>  Mon, 29 Dec 2025 23:07:17 +0100
