=== debian/control ===
Source: vdev
Section: admin
Priority: optional
Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
Uploaders: Jude Nelson <judecn@devuan.org>
Origin: Gnuinos
Standards-Version: 4.3.0
Homepage: http://judecnelson.blogspot.com
X-Python-Version: >= 2.7
XS-Testsuite: autopkgtest
Build-Depends: debhelper (>= 12),
               build-essential,
               pkg-config,
               dh-runit (>= 2.8.8),
               libudev-compat-dev (>= 3.2.15-1~),
               libfuse-dev (>=2.9.3-15),
               libfskit-dev (>=1.0.2),
               libfskit-fuse-dev (>=1.0.2),
               libpstat-dev (>=0.3-1),
               libblkid-dev (>=2.36.1~),
               libinput-dev (>=1.22.1~),
               libevdev-dev (>=1.13.0~),
               squashfs-tools,
               rsync

Package: vdev
Section: admin
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1-compat (>= 3.2.15-1~),
         libudev-compat-helpers (>= 3.2.15-1~),
         eventfs (>= 0.2-1~),
         util-linux,
         dmidecode,
         sed,
         grep,
         fuse3,
         dash,
         kmod,
         dmsetup,
         iproute2,
Recommends: lvm2
Provides: udev (= 1:3.2.9+devuan4)
Conflicts: udev (<< 1:3.2.9), hal, eudev
Replaces: udev (>= 215),
          bash-completion (<< 1:2.1)
Breaks: libvdev1 (<< 1.3.67)
Pre-Depends: build-essential, ${misc:Pre-Depends}
Description: Portable userspace device-file manager.
 Vdev is a new type of device-file manager for *nix that offers per-process
 access controls to device nodes in a portable manner: it offers
 per-process access controls and is portable to most modern UNICES.
 .
 Vdev sticks to a principled design, whereby the filesystem itself is the API,
 the shell is the inter-service glue, and anything is allowed to be a device event source.
 In doing so, vdev offers a simple but powerful model presenting
 per-process views of the host's devices to different programs.
 .
 This package provides the runtime daemon for using vdev as /dev
 manager (the backend device listener), and the actions.

Package: vdevfs
Section: libs
Architecture: linux-any
Multi-Arch: foreign
Recommends: libpstat-util (>= 0.2-1)
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 libfuse2 (>= 2.9.3-15+deb8u1),
	 libfskit (>= 1.0.2),
	 libpstat1 (>= 0.2-1),
Description: Frontend filesystem and access control.
 Since POSIX permission bits are insufficient for per-process access control,
 vdevfs defines its own notion of an ACL. Now, it's not enough to simply hide devices
 from some processes and not others; vdevfs must be able to equivocate about what it
 knows about devices-namely, the device's permission bits, owner, and group.
 .
 For example, programs in a user's login session should see the device nodes
 that correspond to a user's seat's input devices and video card as owned by
 and accessible to the user, for the duration of the session.
