=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DESTDIR = /usr

%:
	dh $@ --with runit

override_dh_auto_install:
	rsync -a example/actions/*.act debian/vdev/etc/vdev/actions/
	dh_auto_install

override_dh_installinit:
	dh_installinit --no-start
	dh_installinit --no-start --init-script=vdev-modprobe.sh

override_dh_link:
	dh_link /etc/init.d/vdev /etc/rcS.d/S02vdev
	dh_link /etc/init.d/vdev-modprobe.sh /etc/rcS.d/S01vdev-modprobe.sh
